import 'package:flutter/material.dart';

extension DateTimeExt on DateTime {
  /// [returns] a [DateTime] having [year, month, day] of [date], but [hour, minute] of this
  DateTime withDay(DateTime date) => DateTime(date.year, date.month, date.day, hour, minute);

  /// [returns] a [DateTime] having [year, month, day] of this, but [hour, minute] of [time]
  DateTime withTime(TimeOfDay time) => DateTime(year, month, day, time.hour, time.minute);

  /// [returns] a [DateTime] having [year, month, day] of this, and other fields are 0
  DateTime get dayOnly => DateTime(year, month, day);

  /// [returns] the [TimeOfDay] from this [DateTime]
  TimeOfDay get timeOnly => TimeOfDay.fromDateTime(this);
}
